function init(hero) {
    hero.setName("War Woman");
    hero.setTier(7);
	hero.setVersion("\u00A7e\u00A7l\I\u00A7b\u00A7l\N\u00A7e\u00A7l\V\u00A7b\u00A7l\I\u00A7e\u00A7l\N\u00A7b\u00A7l\C\u00A7e\u00A7l\I\u00A7b\u00A7l\B\u00A7e\u00A7l\L\u00A7b\u00A7l\E\u00A7r")

    hero.setHelmet("Tiara");
	hero.setChestplate("Chestplate");
	hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addPowers("mvh:inv_warwoman");
    hero.addAttribute("FALL_RESISTANCE", 1, 1);
    hero.addAttribute("PUNCH_DAMAGE", 7, 0);
    hero.addAttribute("WEAPON_DAMAGE", 0.1, 1);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);
    hero.addAttribute("BASE_SPEED", 0.15, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("MAX_HEALTH", 2, 0);


    hero.addKeyBind("SUPER_SPEED", "Super Speed", 1)
    hero.addKeyBind("SLOW_MOTION", "Accelerated Perception", 2)
    hero.addKeyBind("BLADE", "Equip Mace", 3);
    hero.addKeyBind("GROUND_SMASH", "Ground Smash", 4)
    hero.addKeyBind("HOVER", "Hover", 5)

    hero.addAttributeProfile("MACE", weaponProfile);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function weaponProfile(profile) {
    profile.addAttribute("FALL_RESISTANCE", 1, 1);
    profile.addAttribute("PUNCH_DAMAGE", 7, 0);
    profile.addAttribute("WEAPON_DAMAGE", 10.1, 1);
    profile.addAttribute("SPRINT_SPEED", 0.25, 1);
    profile.addAttribute("BASE_SPEED", 0.10, 1);
    profile.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);
    profile.addAttribute("JUMP_HEIGHT", 1.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "MACE" : null;
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "GROUND_SMASH":
        return entity.getData("fiskheroes:blade");
    default:
        return true;
    }
}